ATF2KYUA(1)

NAME
atf2kyua - Converts Atffiles to Kyuafiles for a particular test suite.

SYNOPSIS
atf2kyua [-s source_path] [-t target_path]

DESCRIPTION
atf2kyua is a script that generates Kyuafiles for all the corresponding Atffiles in the specified test suite.

By default, atf2kyua will look for Atffiles in the current directory and generate the new Kyuafiles next to where the Atffiles live. These behaviors can both be changed by the options described below.

The following options are available:

-s source_path
    Path to where the test suite file resides; i.e. the path from which to start the traversal looking for Atffiles. If not given, defaults to the current directory.

-t target_path
    Path to where the generated Kyuafiles will be written. If the target directory is changed to not match the source directory, the layout of the target directory end up being the same as that of the source directory. If not given, defaults to the value of the source path.

SEE ALSO
kyua(1), atf(7)